Purchase/Checkout the cart

Converts the quotes in the cart to policies. All the parameters (payment method, promo codes, etc) are set in the cart. This endpoint simply allows you to finalize the purchase of the cart and convert quotes to policies. Upon purchase, the policy declaration document is generated async, in which you can use the webhook property in the POST /quote endpoint to be notified once the document is ready.

PURCHASING - For Payroll, submit with an empty body. For Credit Card, the body must contain the stripeToken.

Path Params
string
required

The cart id

Body Params

Only required if paymentMethod is 'CREDITCARD'. Use the following Stripe documentation to set up the payment form and capture the token. Ask your Odie contact for the publishable keys note that if you are using a sandbox X-API-KEY then Stripe

tokens must be generated with the test publishable key for Stripe and vice-versa for live X-API-KEYs.
https://stripe.com/docs/payments/accept-a-payment-charges

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*